Package de.geolykt.starloader.mod

# Class NamedExtensionPrototype

java.lang.Object
de.geolykt.starloader.mod.ExtensionPrototype
de.geolykt.starloader.mod.NamedExtensionPrototype

public class NamedExtensionPrototype extends ExtensionPrototype

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`name`
`final String`
`version`

### Fields inherited from class de.geolykt.starloader.mod.ExtensionPrototype

`enabled, originURLs`

## Constructor Summary

Constructors
Constructor
Description
`NamedExtensionPrototype(List<URL> originURLs, String name, String version)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class de.geolykt.starloader.mod.ExtensionPrototype

`getDefinedProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### name

public final String name

### version

public final String version

## Constructor Details

### NamedExtensionPrototype

public NamedExtensionPrototype(List<URL> originURLs, String name, String version)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `ExtensionPrototype`